Kalkulatory / Podsieci IP

Kalkulator podsieci IP
Maska, CIDR i zakres hostów.

Wklej adres z CIDR albo podaj liczbę hostów. Dostaniesz maskę, broadcast, zakres hostów i listę podsieci. Bez rejestracji.

Udostępnij:
Maska i prefiks CIDR
z liczby hostów albo z wklejonego adresu
Zakres adresów
adres sieci, broadcast, pierwszy i ostatni host
Lista podsieci
do 64 kolejnych bloków, LAN lub WAN
Typ sieci

Prefiks dobierze kalkulator z liczby hostów poniżej.

Szybki wybór (RFC 1918):

Kalkulator dobierze najmniejszy prefiks, który je pomieści.

Od 1 do 64 kolejnych bloków tej samej wielkości.

Maska podsieci

255.255.255.192/26

Adres sieci
192.168.1.0
Broadcast
192.168.1.63
Pierwszy używalny
192.168.1.1
Ostatni używalny
192.168.1.62

Używalne / łącznie

62 / 64

Prywatna (RFC 1918 - 192.168.0.0/16)

Szczegóły techniczne
Klasa IP
Class C
Typ sieci
Prywatna (RFC 1918 - 192.168.0.0/16)
Maska binarna
11111111.11111111.11111111.11000000
Wildcard
0.0.0.63

Wyniki mają charakter orientacyjny. Rzeczywiste wymagania mogą się różnić w zależności od konfiguracji.

Wyślij mi wynik na e-mail

Dostaniesz PDF z wpisanymi danymi i wynikiem. Wrócisz do niego, kiedy przyjdzie czas na decyzję.

Wysyłam tylko ten jeden PDF. Bez newslettera i bez przekazywania adresu dalej - polityka prywatności.

Sieć 192.168.1.0/26, adresy dla urządzeń: 62.

Sieci, VPN i firewall są częścią stałej opieki IT. Zaprojektuję i skonfiguruję sieć pod Twoją firmę.

Skąd biorą się te liczby

Założenia kalkulatora w skrócie. Finalny dobór zawsze robię pod konkretną firmę.

Sieć prywatna czy publiczna

W trybie prywatnym (LAN, RFC 1918) podajesz liczbę hostów, a kalkulator dobiera najmniejszy pasujący prefiks. W trybie publicznym (WAN) wybierasz prefiks CIDR od /8 do /32. Adres z notacją CIDR, np. 203.0.113.0/24, możesz wkleić w całości: w trybie publicznym prefiks ustawi się sam.

Lista podsieci

Podsieci to kolejne bloki tej samej wielkości, maksymalnie 64. Bloki wychodzące poza zakres prywatny RFC 1918 są oznaczone jako poza zakresem.

Prefiksy /31 i /32

/31 (RFC 3021) to link point-to-point: oba adresy są używalne, nie ma adresu sieci ani broadcastu. /32 to pojedynczy adres IP (host route).

Rozpoznawane typy adresów

Kalkulator rozpoznaje sieci prywatne RFC 1918, CGNAT (RFC 6598), loopback, link-local, multicast i zakres zarezerwowany. Ostrzega, gdy adres nie pasuje do wybranego trybu. Nieprawidłowy adres zaznacza pod polem.